soelim(1)

Nom
soelim – Interpolation récursive des requêtes de source dans roff ou d’autres fichiers texte

Synopsis
soelim [-Crt] [-I répertoire] [fichier_entrée ...]
soelim --help
soelim -v
soelim --version

Description
GNU soelim est un préprocesseur pour le système de formatage de document groff(7). soelim fonctionne comme un filtre pour éliminer les requêtes de source dans les fichiers d’entrée de roff(7). Autrement dit, il remplace les lignes de la forme « .so fichier_inclus » dans chaque fichier_entrée au format texte avec le contenu du fichier_inclus de manière récursive. Par défaut, il écrit aussi les requêtes lf pour enregistrer le nom et le numéro de ligne de chaque fichier_entrée et fichier_inclus, de façon que tout diagnostic produit par un traitement ultérieur soit précisément retracé jusqu’à l’entrée d’origine. Des options permettent de supprimer ces informations (-r) ou de les fournir à la place dans les commentaires de TeX (-t). En l’absence d’argument fichier_entrée, soelim lit le flux d’entrée standard. La sortie est écrite dans le flux de sortie standard.

Si le nom d’un fichier_macro contient une controblique, utilisez \\ ou \e pour l’incorporer. Pour incorporer une espace, écrivez « \ » (controblique suivie d’une espace). Tout autre séquence d’échappement dans le fichier_macro, « \[rs] » incluse, empêche soelim de remplacer la requête de source.

Le point doit être au début d’une ligne et doit être suivi de « so » sans espace ou tabulation intermédiaires pour que soelim puisse le gérer. Cette convention permet aux requêtes de source d’être « protégées » d’un traitement par soelim, comme partie de définition de macro ou de requête « if », par exemple.

Il doit y avoir aussi au moins une espace entre « so » et son argument fichier_macro. L’option -C outrepasse cette requête.

Ce qui précède est la limite de la compréhension par soelim du langage roff(7). Par exemple, il ne remplace pas la ligne d’entrée
        .if 1 .so autre_fichier
avec le contenu d’autre_fichier. Avec son option -r, soelim peut donc être utilisé pour traiter des fichiers texte en général, pour aplatir une arborescence de documents d’entrée.

soelim a été conçu pour gérer les situations où la cible de requête de source roff nécessite un préprocesseur tel que eqn(1), pic(1), refer(1) ou tbl(1). La séquence de traitement habituelle de groff(1) est la suivante.

              input        sourced
              file          file
                |             |
                ↓             ↓
            preprocessor → troff → postprocessor
                                          |
                                          ↓
                                       output
                                        file

Autrement dit, les fichiers sourcés par « so » ne sont normalement lus que par le formateur, troff(1). soelim n’est pas requis par troff pour sourcer les fichiers.

Si un fichier devant être sourcé doit aussi être prétraité, il doit déjà être lu avant que le fichier d’entrée passe dans le préprocesseur. soelim, normalement invoqué à travers l’option -s de groff, gère cela.

              input
              file
                |
                ↓
              soelim → preprocessor → troff → postprocessor
                ↑                                     |
                |                                     ↓
             sourced                               output
              file                                  file

Options
L’option --help affiche un message d’utilisation, tandis que les options -v et --version affichent une information de version ; après quoi le programme se termine.

-C  Reconnaitre une ligne d’entrée débutant par .so même si un caractère autre qu’une espace ou nouvelle ligne suit.

-I répertoire
    Rechercher dans le chemin répertoire pour les fichier_entrée(s) et fichier_inclus. L’option -I peut être spécifiée plus d’une fois ; la recherche est faite dans chaque répertoire dans l’ordre indiqué. To search the current working directory before others, add “-I .” at the desired place; it is otherwise searched last.

-r  Écrire les fichiers « bruts » ; ne pas ajouter de requête lf.

-t  Produire des lignes de commentaire pour TeX débutant avec « % » indiquant le fichier actuel et le numéro de ligne plutôt que d’émettre des requêtes lf dans le même but.

Si les deux options -r et -t sont indiquées, la dernière indique le contrôle.

Voir aussi
groff(1)

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.